Subject: Re: bug#15260: cannot build in a directory with non-ascii characters

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Nov 2013 09:45:09 +0200

> From: Glenn Morris <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked],  [email-masked]
> Date: Thu, 31 Oct 2013 17:45:32 -0400
> 
> Eli Zaretskii wrote:
> 
> > mule-cmds.el calls reset-language-environment, and language/english.el
> > calls set-language-info-alist; both have the effect of resetting
> > default-file-name-coding-system to latin-1 (!? an interesting
> > "default" for a Unicode-era Emacs, perhaps Handa-san could comment why
> > we still do that).
> 
> I know nothing about this, but eg glib defaults to utf-8, which seems
> like a better default to me these days:

Yes, probably.  That's why I wrote that comment in parens.

Fortunately, the final patch side-steps this issue altogether by
keeping all the related file names as unibyte strings, so that the
current defaults for encoding file names do not affect anything.  So
we can reason about the default independently of the issues in this
bug.